<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use UnexpectedValueException;




class KeepType
{
    


    const UNKNOWN = 0;
    


    const KEEP_FOR_ALL = 1;
    


    const UNDO_KEEP_FOR_ALL = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::KEEP_FOR_ALL => 'KEEP_FOR_ALL',
        self::UNDO_KEEP_FOR_ALL => 'UNDO_KEEP_FOR_ALL',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

